package com.gh.common.provider

import android.content.Context
import com.alibaba.android.arouter.facade.annotation.Route
import com.gh.gamecenter.common.constant.RouteConsts
import com.gh.gamecenter.core.provider.IVHelperProvider
import com.gh.vspace.VHelper

@Route(path = RouteConsts.provider.vhelper, name = "VHelper暴露服务")
class VHelperProviderImpl: IVHelperProvider {
    override fun getPlatformV(): String {
        return VHelper.PLATFORM_V
    }

    override fun getVUrl(originUrl: String?): String {
        return VHelper.getVUrl(originUrl)
    }

    override fun isVGameOn(): Boolean {
        return VHelper.isVGameOn()
    }

    override fun init(context: Context?) {
        // Do nothing
    }
}